
Core - Bug # 28086

Status: Closed Priority: Should have
Author: Dominique Feyer Category: Default
Created: 2011-07-11 Assigned To: Dominique Feyer
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.6
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Disable clear lang cache by default
Description

By default the clear lang cache must not be enabled.

You can enable it if needed with this configuration, in localconf.php:

$GLOBALS['TYPO3_CONF_VARS']['SYS']['lang']['cache']['clear_menu'] = TRUE;

Related issues:
related to Core - Feature # 25397: Adding XLIFF support as the default format... Closed 2011-06-24

Associated revisions
Revision 929eed98 - 2011-07-12 09:16 - Dominique Feyer

[TASK] Disable clear lang cache menu by default

By default the clear lang cache should not be enabled.

You can enable it if needed with this configuration, in localconf.php:
$GLOBALS['TYPO3_CONF_VARS']['SYS']['lang']['cache']['clear_menu'] = TRUE;

Change-Id: I1b7796aca65eb45922d85a6ddd9b6220a3bd89ae
Resolves: #28086
Reviewed-on: http://review.typo3.org/3239
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

Revision e2807feb - 2011-07-12 09:49 - Dominique Feyer

[TASK] Add a sys_log entry when a BE user clears the language cache

If a backend user clears the language/localization cache (t3lib_l10n),
the action should be added to sys_log.

Change-Id: I038242092e8aede6d6c23d082a3dcb69982a3514
Resolves: #28086
Reviewed-on: http://review.typo3.org/3241
Reviewed-by: Stefan Neufeind
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2011-07-11 11:23 - Mr. Hudson

Patch set 1 of change I1b7796aca65eb45922d85a6ddd9b6220a3bd89ae has been pushed to the review server.
It is available at http://review.typo3.org/3239

#2 - 2011-07-11 11:46 - Mr. Hudson

Patch set 1 of change I038242092e8aede6d6c23d082a3dcb69982a3514 has been pushed to the review server.
It is available at http://review.typo3.org/3241

#3 - 2011-07-12 09:14 - Mr. Hudson

Patch set 2 of change I1b7796aca65eb45922d85a6ddd9b6220a3bd89ae has been pushed to the review server.
It is available at http://review.typo3.org/3239

#4 - 2011-07-12 09:15 - Xavier Perseguers
- Category set to Default
- Status changed from New to Resolved
- % Done changed from 0 to 100

Change has been successfully cherry-picked as 929eed986977d685c8545c542fd2b6f9d0846454.

#5 - 2012-03-07 13:32 - Xavier Perseguers
- Status changed from Resolved to Closed

#6 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)
